#!/usr/bin/python
# -*- coding: utf-8 -*-
import osgeo.ogr as ogr
import osgeo.osr as osr
import numpy as np
import gdal
import sys

#-------------------------------------------------------------------------------

def replaceOclussions(filename1, filename2):
	'''
		Fill File2 Clouds with File1 Data
	'''
	clouds = [3,8,9,10]
	input1 = gdal.Open(filename1)
	rows1, cols1, geotransform1 = input1.RasterYSize, input1.RasterXSize, input1.GetGeoTransform()
	data1 = input1.GetRasterBand(1).ReadAsArray(0,0,cols1,rows1)

	input2 = gdal.Open(filename2)
	rows2, cols2, geotransform2 = input2.RasterYSize, input2.RasterXSize, input2.GetGeoTransform()
	data2 = input2.GetRasterBand(1).ReadAsArray(0,0,cols2,rows2)

	for r in range(len(input1)):
		for c in range(len(input1[r])):
			if input2[r][c] in clouds:
				input2[r][c] = input1[r][c]

	input2.GetRasterBand(1).WriteArray(input2)
	input2.GetRasterBand(1).FlushCache()

	input1 = None
	input2 = None
def main(argv):
	if len(sys.argv) != 2:
		print("Usage: " + argv[0] + " <JSON File>")
	else:
		jsonFile=open(argv[1]).read()
		cfg = json.loads(jsonFile)
		extractSentielData(filename, destination)
if __name__ == "__main__":
	main(sys.argv)
